## xtrs 3.9a

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	trs_cassette.o \
 	trs_xinterface.o \
 	trs_chars.o \
+	trs_wide_chars.o \
 	trs_printer.o \
 	trs_rom1.o \
 	trs_rom3.o \
@@ -27,6 +28,7 @@
 
 CR_OBJECTS = \
 	compile_rom.o \
+	error.o \
 	load_cmd.o \
 	load_hex.o
 
@@ -35,6 +37,7 @@
 
 HC_OBJECTS = \
 	cmd.o \
+	error.o \
 	load_hex.o \
 	hex2cmd.o
 
@@ -56,6 +59,7 @@
 	mkdisk.c \
 	trs_cassette.c \
 	trs_chars.c \
+	trs_wide_chars.c \
 	trs_disk.c \
 	trs_imp_exp.c \
 	trs_interrupt.c \
@@ -100,8 +104,6 @@
 	settime.cmd \
 	settime.lst \
 	settime.z \
-	trs80-model1.bdf \
-	trs80-model3.bdf \
 	utility.dsk \
 	utility.jcl \
 	cpmutil.dsk \
@@ -116,9 +118,19 @@
 	xtrsmous.lst \
 	xtrsmous.z
 
-default: xtrs mkdisk hex2cmd cmddump xtrs.txt mkdisk.txt cassette.txt
-
-cmds: export.cmd import.cmd settime.cmd xtrsmous.cmd xtrs8.dct xtrshard.dct
+Z80CODE = export.cmd import.cmd settime.cmd xtrsmous.cmd \
+	xtrs8.dct xtrshard.dct \
+	fakerom.hex xtrsrom4p.hex
+
+MANPAGES = xtrs.txt mkdisk.txt cassette.txt
+
+PROGS = xtrs mkdisk hex2cmd cmddump
+
+default: xtrs mkdisk hex2cmd cmddump $(MANPAGES)
+
+manpages: $(MANPAGES)
+
+z80code: $(Z80CODE)
 
 # Local customizations for make variables are done in Makefile.local:
 include Makefile.local
@@ -127,7 +139,7 @@
 	-DKBWAIT -DHAVE_SIGIO
 LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)
 
-.SUFFIXES:	.z .cmd .dct .man .txt
+.SUFFIXES:	.z .cmd .dct .man .txt .hex
 .z.cmd:
 	zmac $<
 	hex2cmd $*.hex > $*.cmd
@@ -136,6 +148,8 @@
 	zmac $<
 	hex2cmd $*.hex > $*.dct
 	rm -f $*.hex
+.z.hex:
+	zmac $<
 .man.txt:
 	nroff -man $< > $*.txt
 
@@ -174,16 +188,21 @@
 
 clean:
 		rm -f $(OBJECTS) $(MD_OBJECTS) $(CR_OBJECTS) $(HC_OBJECTS) \
-	                $(CD_OBJECTS) trs_rom*.c \
-			*~ xtrs mkdisk compile_rom hex2cmd cmddump
+			$(CD_OBJECTS) trs_rom*.c *~ \
+			$(PROGS) compile_rom
+
+veryclean: clean
+		rm -f $(Z80CODE) $(MANPAGES)
 
 link:	
 		rm -f xtrs
 		make xtrs
 
 install:
-		install -c -m 555 xtrs $(BINDIR)
-		install -c -m 444 xtrs.man $(MANDIR)/man1/xtrs.1
+		install -c -m 755 $(PROGS) $(BINDIR)
+		install -c -m 644 xtrs.man $(MANDIR)/man1/xtrs.1
+		install -c -m 644 cassette.man $(MANDIR)/man1/cassette.1
+		install -c -m 644 mkdisk.man $(MANDIR)/man1/mkdisk.1
 
 depend:
 	makedepend -- $(CFLAGS) -- $(SOURCES)
