## xtrs 4.8

=== Makefile ===
--- 
+++ 
@@ -17,14 +17,15 @@
 	trs_cassette.o \
 	trs_xinterface.o \
 	trs_chars.o \
-	trs_wide_chars.o \
 	trs_printer.o \
 	trs_rom1.o \
 	trs_rom3.o \
 	trs_rom4p.o \
 	trs_disk.o \
 	trs_interrupt.o \
-	trs_imp_exp.o
+	trs_imp_exp.o \
+	trs_hard.o \
+	trs_uart.o
 
 CR_OBJECTS = \
 	compile_rom.o \
@@ -59,24 +60,28 @@
 	mkdisk.c \
 	trs_cassette.c \
 	trs_chars.c \
-	trs_wide_chars.c \
 	trs_disk.c \
+	trs_hard.c \
 	trs_imp_exp.c \
 	trs_interrupt.c \
 	trs_io.c \
 	trs_keyboard.c \
 	trs_memory.c \
 	trs_printer.c \
+	trs_uart.c \
 	trs_xinterface.c \
 	z80.c
 
 HEADERS = \
 	cmd.h \
 	config.h \
+	reed.h \
 	trs.h \
 	trs_disk.h \
+	trs_hard.h \
 	trs_imp_exp.h \
 	trs_iodefs.h \
+	trs_uart.h \
 	z80.h
 
 MISC = \
@@ -88,11 +93,15 @@
 	cassette \
 	cassette.man \
 	cassette.txt \
+	cmddump.man \
+	cmddump.txt \
 	export.bas \
 	export.cmd \
 	export.lst \
 	export.z \
 	hardfmt.txt \
+	hex2cmd.man \
+	hex2cmd.txt \
 	import.bas \
 	import.cmd \
 	import.lst \
@@ -122,11 +131,11 @@
 	xtrs8.dct xtrshard.dct \
 	fakerom.hex xtrsrom4p.hex
 
-MANPAGES = xtrs.txt mkdisk.txt cassette.txt
+MANPAGES = xtrs.txt mkdisk.txt cassette.txt cmddump.txt hex2cmd.txt 
 
 PROGS = xtrs mkdisk hex2cmd cmddump
 
-default: xtrs mkdisk hex2cmd cmddump $(MANPAGES)
+default: xtrs mkdisk hex2cmd cmddump manpages
 
 manpages: $(MANPAGES)
 
@@ -136,20 +145,21 @@
 include Makefile.local
 
 CFLAGS = $(DEBUG) $(ENDIAN) $(DEFAULT_ROM) $(READLINE) $(DISKDIR) $(IFLAGS) \
-	-DKBWAIT -DHAVE_SIGIO
+       $(APPDEFAULTS) -DKBWAIT -DHAVE_SIGIO -DHRG1B
 LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)
 
+ZMACFLAGS = -h
 .SUFFIXES:	.z .cmd .dct .man .txt .hex
 .z.cmd:
-	zmac $<
+	zmac $(ZMACFLAGS) $<
 	hex2cmd $*.hex > $*.cmd
 	rm -f $*.hex
 .z.dct:
-	zmac $<
+	zmac $(ZMACFLAGS) $<
 	hex2cmd $*.hex > $*.dct
 	rm -f $*.hex
 .z.hex:
-	zmac $<
+	zmac $(ZMACFLAGS) $<
 .man.txt:
 	nroff -man $< > $*.txt
 
@@ -192,17 +202,19 @@
 			$(PROGS) compile_rom
 
 veryclean: clean
-		rm -f $(Z80CODE) $(MANPAGES)
+		rm -f $(Z80CODE) $(MANPAGES) *.lst
 
 link:	
 		rm -f xtrs
 		make xtrs
 
 install:
-		install -c -m 755 $(PROGS) $(BINDIR)
-		install -c -m 644 xtrs.man $(MANDIR)/man1/xtrs.1
-		install -c -m 644 cassette.man $(MANDIR)/man1/cassette.1
-		install -c -m 644 mkdisk.man $(MANDIR)/man1/mkdisk.1
+		$(INSTALL) -c -m 755 $(PROGS) $(BINDIR)
+		$(INSTALL) -c -m 644 xtrs.man $(MANDIR)/man1/xtrs.1
+		$(INSTALL) -c -m 644 cassette.man $(MANDIR)/man1/cassette.1
+		$(INSTALL) -c -m 644 mkdisk.man $(MANDIR)/man1/mkdisk.1
+		$(INSTALL) -c -m 644 cmddump.man $(MANDIR)/man1/cmddump.1
+		$(INSTALL) -c -m 644 hex2cmd.man $(MANDIR)/man1/hex2cmd.1
 
 depend:
 	makedepend -- $(CFLAGS) -- $(SOURCES)
