## xtrs 4.9

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	Makefile \
 	Makefile.local \
 	README \
-	README.tpm \
+	README-1.0 \
 	cassette \
 	cassette.man \
 	cassette.txt \
@@ -145,7 +145,7 @@
 include Makefile.local
 
 CFLAGS = $(DEBUG) $(ENDIAN) $(DEFAULT_ROM) $(READLINE) $(DISKDIR) $(IFLAGS) \
-       $(APPDEFAULTS) -DKBWAIT -DHAVE_SIGIO -DHRG1B
+       $(APPDEFAULTS) -DKBWAIT -DHAVE_SIGIO
 LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)
 
 ZMACFLAGS = -h
