## xtrs 4.9d

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-
 #
 # Makefile for xtrs, the TRS-80 emulator.
+# $Id: Makefile,v 1.33 2008/06/26 04:39:56 mann Exp $
 #
 
 OBJECTS = \
@@ -143,7 +143,7 @@
 include Makefile.local
 
 CFLAGS = $(DEBUG) $(ENDIAN) $(DEFAULT_ROM) $(READLINE) $(DISKDIR) $(IFLAGS) \
-       $(APPDEFAULTS) -DKBWAIT -DHAVE_SIGIO
+       $(APPDEFAULTS) -DKBWAIT
 LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)
 
 ZMACFLAGS = -h
@@ -185,10 +185,6 @@
 cmddump:	$(CD_OBJECTS)
 		$(CC) -o cmddump $(CD_OBJECTS)
 
-saber_src:
-		#ignore SIGIO
-		#load $(LDFLAGS) $(CFLAGS) $(SOURCES) $(LIBS)
-
 tar:		$(SOURCES) $(HEADERS)
 		tar cvf xtrs.tar $(SOURCES) $(HEADERS)  $(MANSOURCES) $(MISC)
 		rm -f xtrs.tar.Z
