=== debian/changelog ===
xtrs (4.9d-3) unstable; urgency=medium

  * QA upload.

  [ Andreas Tille ]
  * Orphan package
  * Maintain package in Debian team on Salsa
  * Secure URI in Homepage
  * d/watch: Point watch file to latest Github release since upstream
    stopped tagging releases (as per Changelog file in Git)
  * d/control: Remove comments
  * debhelper-compat (= 13)
  * Standards-Version: 4.7.3

  [ Yangfl ]
  * Add Chinese debconf templates translations
    Closes: #1124736

 -- Andreas Tille <tille@debian.org>  Wed, 11 Feb 2026 09:43:01 +0100

xtrs (4.9d-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace Build-Depends: bsdmainutils with bsdextrautils. (Closes: #1081669)
  * Replace html2text's -style option with -rcfile. (Closes: #1066954)

 -- Bastian Germann <bage@debian.org>  Fri, 13 Sep 2024 20:26:43 +0200

xtrs (4.9d-2) unstable; urgency=low

  * debian/control: Bump Standards-Version to 4.0.0.
    + Update debian/patches/make-plain-text-docs-from-html.patch and
      debian/patches/makefile-generate-pdf-manpages.patch to respect "nodoc"
      in DEB_BUILD_OPTIONS.

  * debian/rules: Set DEB_CFLAGS_MAINT_APPEND to "-Wall -Werror".  Set
    DEB_LDFLAGS_MAINT_APPEND to "-Wl,--as-needed".

  * debian/rules: Run upstream "check" target as part of our "check-binary"
    target.

  * debian/rules: Add "maintainer-clean" target to work around the fact that
    some of our patches cause new files to be created, and the package build
    unapplies all the patches without cleaning the build tree.

  * debian/control: Add link to upstream GitHub site in package description;
    thanks, Reiner Herrmann!  (Closes: #905584)
  * debian/control: Tweak English style in package description.

  * debian/README.source: Add material from the Debian Policy Manual's
    upgrading checklist to document my findings regarding this package's
    compliance with it.

  * debian/patches/stop-mkdisk-from-overflowing-buffers.patch:
    + Don't spuriously report test failures if $MKDISK is set to a non-default
      value.
  * debian/patches/ignore-alt-key-events.patch:
    + Update help window to stop documenting Alt key bindings.
  * debian/patches/map-f12-to-shifted-down-arrow.patch:
    + Update help window to document what F12 does now.
  * debian/patches/move-error.c-prototypes-to-new-error.h.patch:
    + Move diagnostic function prototypes into their own header.
  * debian/copyright: Add patch-created error.h file.
  * debian/patches/add-warning-diagnostic-function.patch:
    + A few places in the code were calling error() with "warning:" in the
      argument string, which looked weird.  Make a warn() function for these
      use cases.
  * debian/patches/fix-compiler-warnings.patch:
    + Fix clunky logic in unused variable warning suppression when neither
      SB_SOUND nor HAVE_OSS is #defined.  Don't bother specifying the
      signedness of the ints we use as booleans.  Move declaration of
      sb_address such that it is only present if either SB_SOUND and/or
      HAVE_OSS is #defined.  Add explanatory comment.  Actually throw a
      warning about lack of host system sound support for emulated cassette
      and sound ports only once each.  Don't bother zeroing sb_address after
      issuing said warning.
  * debian/patches/stop-mkdisk-from-overflowing-buffers.patch:
    + Update to resolve GCC 8's stringop-truncation warnings (which
      mysteriously do not appear with debian/rules-driven builds, just with
      manual "make"s).  Get rid of unneeded variable fname_truncated.  Use
      GCC pragmas to suppress remaining instance; add comment explaining that
      we know what we're doing, since we're writing to a static buffer inside
      a struct.
  * debian/patches/fix-stringop-truncation-warning.patch:
    + Issue warning diagnostic if the argument to cmddump -p is too long.
      Swap order of space-padding strncat and forced setting of pdsbuf[8] to a
      null byte.  This persuades GCC that we're ensuring pdsbuf has a string
      terminator.  Use '\0' instead of '\000' as null character escape.

 -- G. Branden Robinson <g.branden.robinson@gmail.com>  Wed, 15 Aug 2018 11:59:02 -0400

xtrs (4.9d-1) unstable; urgency=medium

  * Merge new upstream release.
    + "Deleted all SIGIO code.  The code was a kludge to begin with and it no
      longer worked with current X libraries and Linux kernels, causing xtrs
      to hang.  It was also reported to cause hangs when xtrs was compiled for
      Windows using Cygwin.  Thanks to Howard Pepper, Dennis Lovelady, Arumin
      Nueckel, Christopher Currie, and Joe Peterson for bug reports."

  * Patches to upstream:
    + trs_imp_exp.c: Turn on the "emtsafe" flag by default, preventing actions
      potentially harmful to the host environment (like removing the user's
      files or running shell commands) from being done within the emulator.
      - xtrs.man: Document the new default.
    + trs_xinterface.c: Protect potentially reckless setuid(getuid()) call
      with #ifdef SB_SOUND guard.  The call is no longer compiled.
    + trs_xinterface.c: Get rid of unused variable in help window display
      function.
    + trs_cassette.c: Squash unused variable warnings; add preprocessor
      guards to symbols used only when system support is available.  Work
      around dual usage of sb_address as a boolean (prefer SoundBlaster to
      OSS when both are available?) and a hardware address on x86.  Throw a
      warning the first time (each of) the cassette port or sound port is
      written to on systems where there is no supporting sound system for
      either.  Relocate some #if guards, and one static function so that there
      isn't a forward reference to it.  Rewrite a call to trs_orch90_out(0,
      FLUSH) to orch90_flush(FLUSH) (the former being exactly what
      orch90_flush() is defined as), which is how this forward reference was
      avoided before.  Add comment documenting why orch90_flush() takes an

