=== debian/control ===
Source: xtrs
Section: contrib/otherosfs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 bsdextrautils,
 debhelper-compat (= 13),
 groff,
 html2text,
 libreadline-dev,
 libx11-dev,
 po-debconf,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/xtrs
Vcs-Git: https://salsa.debian.org/debian/xtrs.git
Homepage: https://www.tim-mann.org/xtrs.html

Package: xtrs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: emulator for TRS-80 Model I/III/4/4P computers
 xtrs is an X-based emulator for the Tandy/Radio Shack line of Zilog Z80-based
 microcomputers popular in the late 1970s and early 1980s.  It features
 cassette, floppy, and hard drive emulation, timer interrupt emulation, file
 import and export from the host operating system, support for most of the
 undocumented Z80 instructions, and a built-in debugger.  Real floppy drives
 can be used, and, if an OSS-compatible sound driver is available,
 application-based sound can be played and real cassettes read and written
 directly through the sound card or via WAVE files.  Several hi-res graphics
 cards are emulated and, in Model 4/4P mode, mice are supported.  There is
 also real-time clock, sound card, serial port, joystick, and CPU clock
 speedup emulation.
 .
 xtrs requires ROM images from the original machines.  The ROMs are
 copyrighted by Radio Shack and are not freely licensed.  (Exception: in Model
 4P mode, a freely-licensed boot ROM included with this package can be used to
 boot a Model 4 operating system from a diskette image.)
 .
 xtrs is maintained upstream at GitHub: see
 <https://github.com/TimothyPMann/xtrs>.
