=== debian/watch ===
Version: 5

Source: https://github.com/TimothyPMann/xtrs.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 4.9d+git%cd.%h
